// ETabDlg.cpp : implementation file
//

#include "stdafx.h"
#include "ETab.h"
#include "ETabDlg.h"
#include "XPropertyPage.h"
#include "XPropertyPage1.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CETabDlg dialog

CETabDlg::CETabDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CETabDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CETabDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CETabDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CETabDlg)
	DDX_Control(pDX, IDC_TAB1, m_tab);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CETabDlg, CDialog)
	//{{AFX_MSG_MAP(CETabDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CETabDlg message handlers

BOOL CETabDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	ModifyStyle(0, WS_CLIPCHILDREN);

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon

	TC_ITEM tItem;
	tItem.mask = TCIF_TEXT;
	tItem.pszText = _T("aaaaaa");
	m_tab.InsertItem(0, &tItem);
	m_tab.InsertItem(0, &tItem);
	m_tab.InsertItem(0, &tItem);
	m_tab.InsertItem(0, &tItem);
	
	if (m_x[0].Create(TCXS_DOWN | WS_THICKFRAME |WS_CHILD | WS_VISIBLE, CRect(10,5,60,100), this, 0))
		if (m_x[1].Create(WS_THICKFRAME |WS_CHILD | WS_VISIBLE, CRect(210,5,400,100), this, 0))
		{
			for (int i = 0; i < 2; i++)
			{
				m_x[i].AddItem(_T("Mihai"), NULL, AfxGetApp()->LoadIcon(IDI_ICON1));
				m_x[i].AddItem(_T("Collpase"), 10, AfxGetApp()->LoadIcon(IDI_ICON2));
				m_x[i].AddItem(_T("Tabelus"), NULL, AfxGetApp()->LoadIcon(IDI_ICON3));
				m_x[i].AddItem(_T("FilimonMihai"), NULL, AfxGetApp()->LoadIcon(IDI_ICON4));
				m_x[i].AddItem(_T("Zebra"), NULL, AfxGetApp()->LoadIcon(IDI_ICON5));
			}
		}

	m_x1.Create(TCXS_DOWN | WS_THICKFRAME |WS_CHILD | WS_VISIBLE, CRect(70,50,200,100), this, 0);
	*m_x1.AddPage(new CXPropertyPage1) = AfxGetApp()->LoadIcon(IDI_ICON4);
	m_x1.AddPage(new CXPropertyPage(IDD_DIALOG2), AfxGetApp()->LoadIcon(IDI_ICON2));
	m_x1.AddPage(*new CXPropertyPage(IDD_DIALOG3) = TRUE, AfxGetApp()->LoadIcon(IDI_ICON4));
	m_x1.AddPage(*new CXPropertyPage(IDD_DIALOG4) = TRUE, AfxGetApp()->LoadIcon(IDI_ICON5));
	((CTreeCtrl*)m_x1.GetPage(3)->GetWindow(GW_CHILD))->InsertItem(_T("Mihai"));
	(CXTabCtrl&)m_x1 = 2;
	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CETabDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CETabDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CETabDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}
